Bug 236820

Summary: security/distcache: Fails to configure: SSL/TLS libraries were missing or unusable
Product: Ports & Packages Reporter: tech-lists
Component: Individual Port(s)Assignee: Alexey Dokuchaev <danfe>
Status: Closed FIXED    
Severity: Affects Some People CC: danfe, gessel
Priority: --- Keywords: needs-qa
Version: LatestFlags: koobs: merge-quarterly?
Hardware: Any   
OS: Any   
Attachments:
Description Flags
workdir distcache-1.5.1/config.log none

Description tech-lists 2019-03-27 03:41:52 UTC
context is poudriere, 12-stable r343792, ports r496934

Seems to fail at the configure stage:

[00:01:02] checking openssl/opensslv.h usability... yes
[00:01:02] checking openssl/opensslv.h presence... yes
[00:01:02] checking for openssl/opensslv.h... yes
[00:01:02] checking openssl/ssl.h usability... yes
[00:01:03] checking openssl/ssl.h presence... yes
[00:01:03] checking for openssl/ssl.h... yes
[00:01:03] checking for OpenSSL version... OK
[00:01:03] checking for OpenSSL ENGINE support... yes
[00:01:03] checking for SSLeay_version in -lcrypto... no
[00:01:03] checking for SSL_CTX_new in -lssl... yes
[00:01:03] configure: error: ... Error, SSL/TLS libraries were missing or unusable
[00:01:03] configure: error: /bin/sh './configure' failed for ssl
[00:01:03] ===>  Script "configure" failed unexpectedly.
[00:01:03] Please report the problem to ports@FreeBSD.org [maintainer] and attach the
[00:01:03] "/wrkdirs/usr/ports/security/distcache/work/distcache-1.5.1/config.log"
[00:01:03] including the output of the failure of your make command. Also, it might be
[00:01:03] a good idea to provide an overview of all packages installed on your system
[00:01:03] (e.g. a /usr/local/sbin/pkg-static info -g -Ea).
[00:01:03] *** Error code 1
[00:01:03] 
[00:01:03] Stop.
[00:01:03] make: stopped in /usr/ports/security/distcache
[00:01:05] =>> Cleaning up wrkdir
[00:01:05] ===>  Cleaning for distcache-1.5.1
[00:01:05] build of security/distcache | distcache-1.5.1 ended at Wed Mar 27 03:12:31 GMT 2019
[00:01:05] build time: 00:01:05
[00:01:05] !!! build failure encountered !!!

Full buildlog at https://pkg.zyxst.net/data/120R-p3-cloud/2019-03-27_03h10m17s/logs/errors/distcache-1.5.1.log
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-03-27 03:54:56 UTC
Could you please include (as an attachment) the config.log file in the WRKSRC directory after configure fails.
Comment 2 tech-lists 2019-03-27 08:02:51 UTC
Created attachment 203181 [details]
workdir distcache-1.5.1/config.log

please see attachment
Comment 3 commit-hook freebsd_committer 2020-07-07 10:08:11 UTC
A commit references this bug:

Author: danfe
Date: Tue Jul  7 10:07:50 UTC 2020
New revision: 541400
URL: https://svnweb.freebsd.org/changeset/ports/541400

Log:
  - Unbreak the build against contemporary versions of OpenSSL
  - Hoop up a simple test to our framework so we know it works

  PR:	236820

Changes:
  head/security/distcache/Makefile
  head/security/distcache/files/patch-ssl__swamp__swamp.c
  head/security/distcache/files/patch-ssl__swamp__swamp.h
  head/security/distcache/files/patch-ssl__swamp__utils.c
  head/security/distcache/files/patch-ssl_libnalssl_bss__nal.c
Comment 4 Alexey Dokuchaev freebsd_committer 2020-07-07 10:13:04 UTC
Should be fixed as of ports r541400, please test and report of any issues I might have missed while making it new-OpenSSL-friendly.
Comment 5 gessel 2021-06-14 23:51:04 UTC
I'm running into this bug in distcache-1.5.1 compiling against openssl-1.1.1k_1,1.

checking for SSL/TLS toolkit base... /usr/local
checking openssl/opensslv.h usability... yes
checking openssl/opensslv.h presence... yes
checking for openssl/opensslv.h... yes
checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... yes
checking for openssl/ssl.h... yes
checking for OpenSSL version... OK
checking for OpenSSL ENGINE support... yes
checking for SSLeay_version in -lcrypto... no
checking for SSL_CTX_new in -lssl... yes
configure: error: ... Error, SSL/TLS libraries were missing or unusable
configure: error: /bin/sh './configure' failed for ssl
===>  Script "configure" failed unexpectedly.
Please report the problem to ports@FreeBSD.org [maintainer] and attach the
"/var/ports/usr/ports/security/distcache/work/distcache-1.5.1/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/security/distcache

===>>> make build failed for security/distcache
===>>> Aborting update
Comment 6 commit-hook freebsd_committer 2021-07-22 09:54:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=426c0efca9f0077e2ce01d73ed890edfffb3989a

commit 426c0efca9f0077e2ce01d73ed890edfffb3989a
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-07-22 09:52:54 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-07-22 09:53:03 +0000

    security/distcache: unbreak the build when using OpenSSL from ports

    While appropriate --with-ssl=${OPENSSLBASE} switch is passed to the
    configure script, the SSLeay_version -> OpenSSL_version adjustment
    was performed not relative to ${OPENSSLINC}, which is wrong.  Also,
    this check cannot be executed at `post-patch' because OpenSSL from
    ports is not yet available at this early stage.

    PR:     236820

 security/distcache/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)